> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get prebilling data



## OpenAPI

````yaml /api-reference/services_documented/fastedge_reseller_api.yaml post /fastedge/v1/admin/prebilling
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Reseller Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: FastEdge Reseller Apps
    x-displayName: Apps
  - description: Plans are sets of limits (memory amount, timeout), applied to edge apps
    name: Plans
    x-displayName: Plans
  - description: Client groups for template visibility
    name: Groups
    x-displayName: Groups
  - description: Billing and BI-related APIs
    name: Billing
    x-displayName: Billing
  - name: fastedge_reseller_other
    x-displayName: other
paths:
  /fastedge/v1/admin/prebilling:
    post:
      tags:
        - Billing
      summary: Get prebilling data
      operationId: listPrebilling
      requestBody:
        content:
          application/json:
            schema:
              properties:
                clients:
                  example:
                    - 141309
                    - 1111
                  items:
                    type: integer
                    format: int64
                  type: array
                flat:
                  description: >-
                    This field is not actually used, it is here only to comply
                    with Billing API. If specified, it must be set to true.
                  type: boolean
                from:
                  description: Start date-time in RFC3339 format
                  example: '2026-01-01T00:00:00Z'
                  format: date-time
                  type: string
                group_by:
                  example:
                    - client
                    - region
                    - billing_plan
                  items:
                    enum:
                      - client
                      - region
                      - billing_plan
                    type: string
                  type: array
                metrics:
                  example:
                    - number_of_calls
                    - total_runtime_mms
                  items:
                    enum:
                      - number_of_calls
                      - total_runtime_mms
                      - exec_time
                      - kv_storage_size
                      - kv_read_count
                      - kv_write_size
                      - kv_del_count
                    type: string
                  type: array
                networks:
                  example:
                    - gcore
                  items:
                    type: string
                  type: array
                service:
                  description: Must containt `FAST_EDGE` value
                  example: FAST_EDGE
                  type: string
                to:
                  description: End date-time in RFC3339 format
                  example: '2026-01-31T23:59:59Z'
                  format: date-time
                  type: string
              required:
                - service
                - from
                - to
                - metrics
              type: object
        description: Prebilling request
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/prebillingResponse'
          description: Returns prebilling response data for the specified period
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Service unavailable
components:
  schemas:
    prebillingResponse:
      type: array
      items:
        $ref: '#/components/schemas/prebillingObject'
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
    prebillingObject:
      type: object
      required:
        - metrics
      properties:
        metrics:
          $ref: '#/components/schemas/prebillingMetric'
          type: object
        client:
          type: integer
          format: int64
        billing_plan:
          type: string
        region:
          type: string
    prebillingMetric:
      type: object
      properties:
        number_of_calls:
          type: integer
          format: int64
          description: Number of app calls
        exec_time:
          type: integer
          format: int64
          description: Total app execution time, in seconds
        total_runtime_mms:
          type: number
          deprecated: true
          description: >-
            Total app execution time, in million milliseconds (1000 seconds)
            units
        kv_read_count:
          type: integer
          format: int64
          description: Number of read operations
        kv_write_size:
          type: integer
          format: int64
          description: Volume of write operations, in bytes
        kv_storage_size:
          type: number
          format: double
          description: Storage size used over time, in MB*hours
        kv_del_count:
          type: integer
          format: int64
          description: Number of delete operations
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````